Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.liacs.subdisc
Class NumericDomain

    java.lang.Object
      nl.liacs.subdisc.NumericDomain

    public class NumericDomain

extends java.lang.Object

Field Summary
`static int` | `AVG`
`static int` | `MAX`
`static int` | `MIN`

Constructor Summary
`NumericDomain(Column theColumn)`
`NumericDomain(Column theColumn, java.util.BitSet theSubset)`

Method Summary
`float` | `computeMedian(float[] theValues)`
`float` | `computeMedian(int theStart, int theEnd)`
`float` | `computeMedianAD(int theStart, int theEnd)`
`int[]` | `computeMedianFrequencyCounts(float theMedian, int theStart, int theEnd)`
`float` | `computeSum(int theStart, int theEnd)`
`float` | `computeSumSquaredDeviations(int theStart, int theEnd)`
`void` | `equalHeight(int theNrBags)`
`float` | `getValue(int theIndex)`
`float` | `getValueAbove(float theValue, boolean isFirstColumn)`
`float` | `getValueBelow(float theValue, boolean isFirstColumn)`
`float` | `getValueBetween(float theLow, float theHigh)`
`float[]` | `getValues()`
`void` | `print()`
`int` | `size()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIN

    public static final int MIN

See Also:
  Constant Field Values

### MAX

    public static final int MAX

See Also:
  Constant Field Values

### AVG

    public static final int AVG

See Also:
  Constant Field Values

Constructor Detail

### NumericDomain

    public NumericDomain(Column theColumn)

### NumericDomain

    public NumericDomain(Column theColumn,
                         java.util.BitSet theSubset)

Method Detail

### size

    public int size()

### getValue

    public float getValue(int theIndex)

### getValues

    public float[] getValues()

### getValueAbove

    public float getValueAbove(float theValue,
                               boolean isFirstColumn)

### getValueBelow

    public float getValueBelow(float theValue,
                               boolean isFirstColumn)

### getValueBetween

    public float getValueBetween(float theLow,
                                 float theHigh)

### print

    public void print()

### computeSum

    public float computeSum(int theStart,
                            int theEnd)

### computeSumSquaredDeviations

    public float computeSumSquaredDeviations(int theStart,
                                             int theEnd)

### computeMedianFrequencyCounts

    public int[] computeMedianFrequencyCounts(float theMedian,
                                              int theStart,
                                              int theEnd)

### computeMedian

    public float computeMedian(int theStart,
                               int theEnd)

### computeMedian

    public float computeMedian(float[] theValues)

### computeMedianAD

    public float computeMedianAD(int theStart,
                                 int theEnd)

### equalHeight

    public void equalHeight(int theNrBags)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD